%set_automake_version 1.10

%define rname getfem++
Name: getfemxx
Version: 3.1
Release: alt2

Group: Development/C++
Summary: Generic and efficient C++ library for finite element methods
Url: http://home.gna.org/getfem/
License: LGPLv2+

Requires: lib%name = %version-%release

Source0: http://download.gna.org/getfem/stable/getfem++-%version.tar.gz
Patch1: getfem++-3.1-alt-gcc44.patch

# Automatically added by buildreq on Wed Aug 26 2009 (-bi)
#BuildRequires: boost-devel gcc-c++ gcc-fortran glibc-devel-static libatlas-devel
BuildRequires: boost-devel gcc-c++ gcc-fortran glibc-devel-static libatlas-devel automake_1.10

%description
The Getfem++ project focuses on the development of a generic and efficient
C++ library for finite element methods. The goal is to provide a library
allowing the computation of any elementary matrix (even for mixed finite
element methods) on the largest class of methods and elements, and for
arbitrary dimension (i.e. not only 2D and 3D problems).

%package -n lib%name
Group: System/Libraries
Summary: %rname library
%description -n lib%name
%rname library

%prep
%setup -q -n %rname-%version
%patch1 -p1
%autoreconf


%build
%add_optflags -fno-strict-aliasing
export CFLAGS="%optflags" CXXFLAGS="%optflags"
%configure \
    --disable-static \
    --enable-shared \
    --enable-boost \
    --with-matlab-toolbox-dir=%_datadir/getfem_toolbox
CUT_CFLAGS=`grep "^CXXFLAGS" Makefile | head -n 1| sed "s|^CXXFLAGS[[:space:]][[:space:]]*=||"`
%make CFLAGS="$CUT_CFLAGS"

%install
%make DESTDIR=%buildroot install


%files
%doc README NEWS BUGS AUTHORS
%_datadir/getfem_toolbox
%_bindir/getfem-config
%_includedir/getfem
%_includedir/getfem_boost
%_includedir/gmm
%_libdir/*.so

%files -n lib%name
%_libdir/*.so.*

%changelog
* Wed Aug 26 2009 Sergey V Turchin <zerg@altlinux.org> 3.1-alt2
- fix compile with gcc-4.4

* Thu Oct 16 2008 Sergey V Turchin <zerg at altlinux dot org> 3.1-alt1
- initial specfile

